
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>继电器Relay：ZZR08 / 憋错料</title>

    <meta name="description" content="继电器Relay：ZZR08 继电器常识: 继电器有三个接线柱:常开(NO),常闭(NC),接地(C) 如果连接的时间长,偶尔需要断电, 那么接NC 和 C, 这样继电器set on 时为断电.除此之外,继电器还可以控制按键,以及长按. 继电器接通时,该继电器的灯会亮.ZZR08有8个继电器,以一个字节表示其整体状态,以每位的位高(bit high)代表对应继电器的状态.例如:第一个继电器set on 时为00000001,set off 时该位为0:第二个set on 时为00000010(2), set off 时该位为">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">继电器Relay：ZZR08</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>继电器常识：</p>
<p>继电器有三个接线柱：常开(NO)，常闭(NC)，接地(C)</p>
<p>如果连接的时间长，偶尔需要断电， 那么接NC 和 C， 这样继电器set on 时为断电。除此之外，继电器还可以控制按键，以及长按。</p>
<p>继电器接通时，该继电器的灯会亮。ZZR08有8个继电器，以一个字节表示其整体状态，以每位的位高（bit high）代表对应继电器的状态。例如：第一个继电器set on 时为00000001，set off 时该位为0；第二个set on 时为00000010(2), set off 时该位为0。以此类推.</p>
<p>怎样使用继电器：</p>
<p>1. Command &ldquo;<strong>ls /dev/tty*</strong>&rdquo;, you can find like this<br /><strong>/dev/tty</strong>RelayCard</p>
<p>在接入继电器之前运行&ldquo;ls /dev/tty*&rdquo;， 接入之后再运行一次，多出来的就是继电器的标识。</p>
<p>2.&nbsp;Check the file <strong>/etc/udev/rules.d/ACS.rules</strong>. In this file, there have a code like</p>
<p>this:</p>
<pre>SUBSYSTEMS=="usb", ATTRS{idVendor}=="10c4", ATTRS{idProduct}=="ea60",
SYMLINK+="ttyRelayCard", MODE="0666", OWNER="buildbot"</pre>
<p>If there don&rsquo;t have this code, please add it by manual. And then re-plugin the</p>
<p>relay card&rsquo;s USB cable.</p>
<p><em>&nbsp; &nbsp; </em>查看是否存在/etc/udev/rules.d/ACS.rules，如果不存在，则建立文件：touch ACS.rules，文件内容如上。</p>
<p>3. 查看权限：ls -l&nbsp;/dev/ttyRelayCard<strong>，</strong> 结果crw-rw---- 1 root&nbsp;dialout<strong>.</strong></p>
<p><strong>&nbsp; &nbsp; </strong>可以更改继电器权限：chmod a+rw&nbsp;/dev/ttyRelayCard. 这样坏处是，每次插拔继电器都要更改。</p>
<p>继电器的user是root, group是dialout。可以使当前用户从属于dialout用户组。查看user的用户组：groups user。更改user的附属用户组list: sudo usermod -G dialout,adm,...</p>
<p>4. python script</p>
<pre>import serial
import sys, time
‘‘‘
ser = serial.Serial(
port=None,              # number of device, numbering starts at
# zero. if everything fails, the user
# can specify a device string, note
# that this isn‘t portable anymore
# if no port is specified an unconfigured
# an closed serial port object is created
baudrate=9600,          # baud rate
bytesize=EIGHTBITS,     # number of databits
parity=PARITY_NONE,     # enable parity checking
stopbits=STOPBITS_ONE,  # number of stopbits
timeout=None,           # set a timeout value, None for waiting forever
xonxoff=0,              # enable software flow control
rtscts=0,               # enable RTS/CTS flow control
interCharTimeout=None   # Inter-character timeout, None to disable
)
‘‘‘

device = sys.argv[1] # /dev/ttyRelayCard
ser = serial.Serial(device, 19200, serial.EIGHTBITS, serial.PARITY_NONE, serial.STOPBITS_TWO, None)
W = 0.05

def get_version():
    cmd = 90
    print "get the relay software version"
    ser.write(chr(cmd))
    time.sleep(W)
    a = ser.read(1)
    print ord(a)
    b = ser.read(1)
    print ord(b)
    time.sleep(1)

def set_relay_on(i):
    ‘‘‘ relay No is from 1 to 8‘‘‘
    cmd = 100 + i
    print "set relay %d on "%(i)
    ser.write(chr(cmd))
    time.sleep(W)
    ser.write(chr(91)) # get relay states
    a = ser.read(1)
    print ord(a)
    time.sleep(W)

def set_relay_off(i):
    ‘‘‘ relay No is from 1 to 8‘‘‘
    cmd = 110 + i
    print "set relay %d off"%(i)
    ser.write(chr(cmd))
    time.sleep(W)
    ser.write(chr(91))
    a = ser.read(1)
    print ord(a)
    time.sleep(W)

set_relay_off(1)
# set_relay_on(1)
</pre>
<p><strong>附录</strong></p>
<p><strong>ZZR08 command Table</strong></p>
<table>
<tbody>
<tr>
<td colspan="3">Command</td>
<td>Action</td>
</tr>
<tr>
<td>Character</td>
<td>DEC</td>
<td>HEX</td>
<td>&nbsp;</td>
</tr>
<tr>
<td>&nbsp;</td>
<td>90</td>
<td>5A</td>
<td>Get software version - returns 2 bytes, the first being the module<br />
    ID which is 8, followed by the software version</td>
</tr>
<tr>
<td>&nbsp;</td>
<td>91</td>
<td>5B</td>
<td>Get relay states -<br />
  sends a single byte back to the controller, bit high<br />
    meaning the corresponding relay is powered</td>
</tr>
<tr>
<td>&nbsp;</td>
<td>92</td>
<td>5C</td>
<td>Set relay states -<br />
  the next single byte will set all relays states, All on<br />
    = 255 (11111111) ,All off = 0</td>
</tr>
<tr>
<td>d</td>
<td>100</td>
<td>64</td>
<td>All relays on</td>
</tr>
<tr>
<td>e</td>
<td>101</td>
<td>65</td>
<td>Turn relay 1 on</td>
</tr>
<tr>
<td>f</td>
<td>102</td>
<td>66</td>
<td>Turn relay 2 on</td>
</tr>
<tr>
<td>g</td>
<td>103</td>
<td>67</td>
<td>Turn relay 3 on</td>
</tr>
<tr>
<td>h</td>
<td>104</td>
<td>68</td>
<td>Turn relay 4 on</td>
</tr>
<tr>
<td>i</td>
<td>105</td>
<td>69</td>
<td>Turn relay 5 on</td>
</tr>
<tr>
<td>j</td>
<td>106</td>
<td>6A</td>
<td>Turn relay 6 on</td>
</tr>
<tr>
<td>k</td>
<td>107</td>
<td>6B</td>
<td>Turn relay 7 on</td>
</tr>
<tr>
<td>l</td>
<td>108</td>
<td>6C</td>
<td>Turn relay 8 on</td>
</tr>
<tr>
<td>n</td>
<td>110</td>
<td>6E</td>
<td>All relays off</td>
</tr>
<tr>
<td>o</td>
<td>111</td>
<td>6F</td>
<td>Turn relay 1 off</td>
</tr>
<tr>
<td>p</td>
<td>112</td>
<td>70</td>
<td>Turn relay 2 off</td>
</tr>
<tr>
<td>q</td>
<td>113</td>
<td>71</td>
<td>Turn relay 3 off</td>
</tr>
<tr>
<td>r</td>
<td>114</td>
<td>72</td>
<td>Turn relay 4 off</td>
</tr>
<tr>
<td>s</td>
<td>115</td>
<td>73</td>
<td>Turn relay 5 off</td>
</tr>
<tr>
<td>t</td>
<td>116</td>
<td>74</td>
<td>Turn relay 6 off</td>
</tr>
<tr>
<td>u</td>
<td>117</td>
<td>75</td>
<td>Turn relay 7 off</td>
</tr>
<tr>
<td>v</td>
<td>118</td>
<td>76</td>
<td>Turn relay 8 off</td>
</tr>
</tbody>
</table>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzQ5NTY3Ny8yMDE1MTIvNDk1Njc3LTIwMTUxMjAyMTcyMTQ3NDU1LTIxMzcxNzYxOTQuanBn.jpg" /></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 10:27:41 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>继电器Relay：ZZR08的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lKoKbM.html" rel="bookmark">计算机发展史&lowbar;01</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 早期相关技术: 摩尔斯码.萨缪尔摩尔斯.美国.Samuel Finley Breese Morse 1791.4.27 - 1872.4.2 布莱叶盲文.路易斯布莱叶Louis Braille.法国 2. 电子的运动形成早期微电的应用. 3. 继电器.relay 4. 二进制和十六进制是现在逻辑电路的基础.4个二进制位 = 1个十六进制位 5. 逻辑电路的基础理论:布尔发明的逻辑门 乔治.布尔.英格兰.George Boole.&lt;思维规律研究&gt;.合集.并集等... 6. 逻辑门:逻辑与,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoGXpnM.html" rel="bookmark">&lbrack;51单片机学习笔记THREE&rsqb;----继电器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				继电器是一种电控制器件,它是当输入量(如电压,电流,温度等)达到规定值时,使得被控量发生阶跃性变化的一种电器. 比如说:我们只需要用一个12V,0.1A的参数量去控制一个继电器,然后让继电器去充当几百万伏特,几百万安培的设备的开关. 无论在什么地方,如果想让控制者处于安全的环境中,就可以用继电器.让我们去接触安全的一边,让继电器去接触危险的一边,我们只要控制继电器的动作,继电器就会帮助我们连接我们不想亲自去碰的一些线路. 继电器的分类千千万,这里就不多说了. 最近因为好像没什么地方要用到,这里先			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyjXya0.html" rel="bookmark">截取usb数据包，控制usb设备----Relay设备</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在项目开发当中,我们需要一个usb转继电器的设备当开关控制无线发射设备,采购部采购时并未详细了解Relay设备的运行环境就买了一批设备,之后发现设备厂家只提供了windows库,而我们是要在linux中开发.无语中...... Relay设备虽然是无驱的,可我并不知道它的协议,怎么办呢? I have no choice ,but I have bus hound,LOL. 厂家提供了windows的管理工具,可以实现Relay的开断,因此我通过Bus Hound截取usb数据包,得到通信协议.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6l1OX3.html" rel="bookmark">51单片机学习笔记【七】&mdash;&mdash;蜂鸣器和继电器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.蜂鸣器 1.蜂鸣器基础 蜂鸣器按驱动方式分为有源蜂鸣器和无源蜂鸣器,有源蜂鸣器内部带振荡器,接入一个低电平便会响:无源蜂鸣器不带振荡器,让它响要接500HZ~4.5KHZ之间的脉冲信号来驱动才会响.很实验采用的是无源蜂鸣器. 2.电路原理图 3.实验说明 本实验通过控制蜂鸣器分别在4KHZ和1KHZ频率下发声,实验接线为JP8接P1.5. 4.程序源代码 /************************************** &gt; File Name: 蜂鸣器实验 &gt; Author:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AEEWd4.html" rel="bookmark">手机 蓝牙 控制 继电器 无线门锁 物联网 安卓源码 安卓开发 Android WIFI控制 详细注释测试稳定无bug</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.功能: 1.Android  WIFI连接与断开,保存连接IP及端口. 2.WIFI控制3个继电器 3.16进制发送指令,可以单条和多条发送,用逗号隔开. 4.16进制接收 如需特别功能可以找我定制(程序源码,定制专家 手机:18910620895 旺旺:chenhao0568  QQ:345139427). 二.源码如下: 登陆Login.java package com.example.eeeee; import java.io.InputStream; import java.io.O			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dzkq94.html" rel="bookmark">驱动继电器实验</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				学生实验报告               课程名称:单片机原理与应用 专业班级:嵌入式14103班  __ 姓    名:_赵存档___________ 学    号:14160310317     2015--2016    学年第 1 学期     实验项目( 三 ) — 预习报告 项目 名称 驱动继电器实验 实验 目的 及 要求 目的:学会本次实验是如何进行实现的,以及对实验原理的理解. 要求:认真完成本实验的keil代码的编写,proteus电路仿真图的设计. 小组内独立完成实验项目内容			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4QL7bN3.html" rel="bookmark">C&num; 调用继电器api usb&lowbar;relay&lowbar;device&period;dll</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C# 调用继电器api usb_relay_device.dll 代码封装 usb_relay_device.dll 为C++编写 using System; using System.Collections.Generic; using System.Linq; using System.Runtime.InteropServices; using System.Text; namespace USBRelayTest { public class UsbRelayDeviceHelper {			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35zRoR4.html" rel="bookmark">光耦继电器工作原理与参数详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				光耦继电器(Optronics Relay)属于固态继电器,一般电磁继电器靠电流通过线圈使铁芯变成有磁性的磁铁吸合衔铁,从而使相关的触点动作控制负载的通断,而光耦继电器没有触点,其工作原理与光耦有点类似,基本结构如下图的所示: 发光二极管用来向光电元件放射光线,光电元件接受光线并控制输出场效应管导通或截止.光耦继电器还有另一种可控硅整流管(SCR)输出,它的负载电流比场效应管更大,后者可达到数安培,而前者可达到几十安培. 相对于电磁继电器,光耦继电器由于没有触点引起的磨损,使用寿命是无限的,同时			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MV952k4.html" rel="bookmark">基于树莓派（Raspberry Pi）平台的智能家居实现（一）----继电器模块，DHT11模块</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言:    ??其实做这个智能家居系统我还是因为学校的毕业设计,距离上篇文章发布已经过去了20多天了,之前想着只是做一个烟雾报警,然后通过Zabbix进行报警,但是通过这20多天的设计,我发现实现报警的功能其实除了邮件,还有短信.微信.甚至电话.但是因为各种原因,比如.....钱0.0,哈哈哈,因此我计划用企业微信进行一个报警,然后貌似通过普通微信进行一个简单的交互(interactive),还是不错的选择,并且做出来的效果也很棒.??最后想说的是:&quot;基于树莓派(Raspberry Pi)平台			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/VMGAOZ3.html" rel="bookmark" class="title">PHP配置问题：AppServ安装discuz出错 Fatal error&colon;</a>
					<div>
						 Fatal error: Call to undefined function set_magic_quotes_runtime() in  D:\AppServ\www\wp-settings.p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/w3vryZ3.html" rel="bookmark" class="title">【01】《响应式Web设计：HTML5和CSS3实战》</a>
					<div>
						[01] (魔芋:已看完.) [01]&lt;响应式Web设计:HTML5和CSS3实战&gt;(非扫描版)(全).pdf 共246页. 2013年1月出版. 读后感:适合入门的书籍,对于响应式布局, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBmYyJ4.html" rel="bookmark" class="title">html   常用标签（一）</a>
					<div>
						今天做作业   发现好多标签不会 连input的标签都不是全会 同学推荐了w3school 我去看了一下,很多东西很有用  分享一下 学习方法: 一.看HTML代码HTML代码第一步就是分析与观看,这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l51Bp3.html" rel="bookmark" class="title">各高级语言特点与比较</a>
					<div>
						http://www.cnblogs.com/waynelin/p/5505399.html Pascal语言: Pascal是一种计算机通用的高级程序设计语言,由瑞士Niklaus Wirth教授六 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyKdpn3.html" rel="bookmark" class="title">Memcached总结二：Memcached环境安装设置以及连接memcache服务器</a>
					<div>
						1 在Ubuntu上安装Memcached 要在Ubuntu上安装Memcached,打开终端,然后输入以下命令: $sudo apt-get update $sudo apt-get install ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZDPJdM.html" rel="bookmark" class="title">fdisk -l 找不到分区怎么办？想办法找到隐藏分区。</a>
					<div>
						centos6.6 装系统的时候,选取系统默认分区.装好后发现少了一大部分空间,通过fdisk -l 找不到分区,另外使用 parted -l 同样找不到消失的柱面. 如: [[email prote ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgN7yR4.html" rel="bookmark" class="title">空间金字塔方法表示图像</a>
					<div>
						注:本学习笔记是自己的理解,如有错误的地方.请大家指正,共同学习进步. 本文学习自CVPR论文&lt;Discriminative Spatial Pyramid&gt;.&lt;Discrimina ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgNblK4.html" rel="bookmark" class="title">DSP与ARM区别</a>
					<div>
						ARM具有比较强的事务管理功能,可以用来跑界面以及应用程序等,其优势主要体现在控制方面,它的速度和数据处理能力一般,但是外围接口比较丰富,标准化和通用性做的很好,而且在功耗等方面做得也比较好,所以适合 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nYZo7M.html" rel="bookmark" class="title">《梦断代码》经典语录--持续更新</a>
					<div>
						1. You couldn't afford the time to perfect anything, but no need to warry , because nobody else coul ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YDgkvM.html" rel="bookmark" class="title">跟踪MQTT源码（一）</a>
					<div>
						Spring整合MQTT pom.xml &lt;!-- MQTT消息队列 --&gt; &lt;dependency&gt; &lt;groupId&gt;org.eclipse.paho&lt;/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPZQaP3.html" rel="bookmark" class="title">hph  基础</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/471J790.html" rel="bookmark" class="title">恢复文件默认打开方式</a>
					<div>
						win + r regedit HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.*(想要改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35rBAR4.html" rel="bookmark" class="title">URAL比赛记录</a>
					<div>
						URAL 1961 考虑到此人也在中国,N要加一. #include&lt;cstdio&gt; #include&lt;iostream&gt; using namespace std; int m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgROGK4.html" rel="bookmark" class="title">&lbrack;转&rsqb;ASP&period;NET MVC 4 &lpar;九&rpar; 模型绑定</a>
					<div>
						本文转自:http://www.cnblogs.com/duanshuiliu/p/3706701.html 模型绑定指的是MVC从浏览器发送的HTTP请求中为我们创建.NET对象,在HTTP请求和C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qGVa7M.html" rel="bookmark" class="title">COBOL语言入门</a>
					<div>
						COBOL语言介绍 COBOL介绍——商业计算首选语言 COBOL是Common Business Oriented Language (通 用商业语言)的缩写.广泛应用于数据管理领域,例 如财会工作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXlVaqM.html" rel="bookmark" class="title">arduino小车图片</a>
					<div>
						马达是焊上去的					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLr1bA3.html" rel="bookmark" class="title">Nginx 的RTMP打流模块配置</a>
					<div>
						config配置文件: user www www; worker_processes 1; error_log logs/error.log debug; #pid logs/nginx.pid; e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVRDZ1M.html" rel="bookmark" class="title">MySQL 复合索引</a>
					<div>
						一. 1.索引越少越好,在修改数据时,第个索引都要进行更新,降低写速度.2.最窄的字段放在键的左边3.避免file sort排序,临时表和表扫描. 二.复合索引的建立原则: 如果您很可能仅对一个列多次 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmQwknM.html" rel="bookmark" class="title">配置内核支持NFS启动文件系统</a>
					<div>
						内核支持NFS分区(即编译时在File system中选中[*] Root file system on NFS), 以及支持内核IP_PNP(即编译时在Networking中选中[*] IP: ke ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dEK5g3.html" rel="bookmark" class="title">截取字符串Java</a>
					<div>
						public class Test { public static void main(String args[]) { int temp=0; ArrayList List = new ArrayL ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
